Package org.eclipse.m2m.atl.emftvm.util

# Class MethodSignature

java.lang.Object
org.eclipse.m2m.atl.emftvm.util.MethodSignature

public final class MethodSignature extends Object
`Method` signature for EMFTVM method caching.

## Constructor Summary

Constructors
Constructor
Description
`MethodSignature(Class<?> context, String name, Class<?>[] argumentTypes, boolean isStatic)`
Creates a new `MethodSignature`.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String[]`
`getArgumentTypes()`
Returns the method argument types.
`String`
`getContext()`
Returns the method context (i.e.
`String`
`getName()`
Returns the method name.
`int`
`hashCode()`
`boolean`
`isStatic()`
Returns whether the method is static.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MethodSignature

public MethodSignature(Class<?> context, String name, Class<?>[] argumentTypes, boolean isStatic)
Creates a new `MethodSignature`.

Parameters:
  `name` - the method name
  `argumentTypes` - the method argument types
  `isStatic` - whether the method is static

## Method Details

### getContext

public String getContext()
Returns the method context (i.e. declaring class).

Returns:
  the context

### getName

public String getName()
Returns the method name.

Returns:
  the name

### getArgumentTypes

public String[] getArgumentTypes()
Returns the method argument types.

Returns:
  the argumentTypes

### isStatic

public boolean isStatic()
Returns whether the method is static.

Returns:
  the isStatic

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`